## kdewebkit 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDEWebKit)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDEWEBKIT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WebKit")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5WebKitConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5WebKitTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WebKitTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kdewebkit 5.3.0

=== debian/changelog ===
kdewebkit (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:17:53 +0100

kdewebkit (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:36:54 +0200

kdewebkit (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Patched symbols with batchpatch. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:08:43 +0200

kdewebkit (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 13:22:54 +0200

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5parts-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5wallet-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdewebkit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdewebkit.git

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}), libqt5webkit5-dev, ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same

Package: libkf5webkit5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains debug symbols for kdewebkit.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kdewebkit-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kdewebkit-(.*)\.tar\.xz

## kdewebkit 5.9.0

=== debian/changelog ===
kdewebkit (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:24:10 +0200

kdewebkit (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:31:24 +0100

kdewebkit (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:14:25 +0100

kdewebkit (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:45:41 +0100

kdewebkit (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:45:57 +0100

kdewebkit (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:08:37 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kio-dev (>= 5.9.0),
               libkf5attica-dev (>= 5.9.0),
               libkf5auth-dev (>= 5.9.0),
               libkf5bookmarks-dev (>= 5.9.0),
               libkf5codecs-dev (>= 5.9.0),
               libkf5completion-dev (>= 5.9.0),
               libkf5config-dev (>= 5.9.0),
               libkf5configwidgets-dev (>= 5.9.0),
               libkf5coreaddons-dev (>= 5.9.0),
               libkf5dbusaddons-dev (>= 5.9.0),
               libkf5globalaccel-dev (>= 5.9.0),
               libkf5guiaddons-dev (>= 5.9.0),
               libkf5i18n-dev (>= 5.9.0),
               libkf5iconthemes-dev (>= 5.9.0),
               libkf5itemviews-dev (>= 5.9.0),
               libkf5jobwidgets-dev (>= 5.9.0),
               libkf5kjs-dev (>= 5.9.0),
               libkf5notifications-dev (>= 5.9.0),
               libkf5parts-dev (>= 5.9.0),
               libkf5service-dev (>= 5.9.0),
               libkf5solid-dev (>= 5.9.0),
               libkf5sonnet-dev (>= 5.9.0),
               libkf5textwidgets-dev (>= 5.9.0),
               libkf5wallet-dev (>= 5.9.0),
               libkf5widgetsaddons-dev (>= 5.9.0),
               libkf5windowsystem-dev (>= 5.9.0),
               libkf5xmlgui-dev (>= 5.9.0),
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdewebkit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdewebkit.git

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}), libqt5webkit5-dev, ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same

Package: libkf5webkit5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains debug symbols for kdewebkit.

## kdewebkit 5.15.0

=== debian/changelog ===
kdewebkit (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:47:22 +0100

kdewebkit (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:14:24 +0100

kdewebkit (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:02:17 +0200

kdewebkit (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:28:44 +0200

kdewebkit (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 12:36:09 +0200

kdewebkit (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:03:29 +0200

kdewebkit (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:22 +0200

kdewebkit (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:58 +0100

kdewebkit (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:51 +0100

kdewebkit (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 18:20:56 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5jobwidgets-dev (>= 5.15.0~),
               libkf5parts-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5wallet-dev (>= 5.15.0~),
               libqt5webkit5-dev (>= 5.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdewebkit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdewebkit.git

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.2~),
         ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same

Package: libkf5webkit5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains debug symbols for kdewebkit.

## kdewebkit 5.18.0

=== debian/changelog ===
kdewebkit (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:20:23 +0100

kdewebkit (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:33 +0100

kdewebkit (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:49 +0200

kdewebkit (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:36 +0100

kdewebkit (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:57 +0200

kdewebkit (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 13:28:16 +0200

kdewebkit (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5jobwidgets-dev (>= 5.15.0~),
-               libkf5parts-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5wallet-dev (>= 5.15.0~),
-               libqt5webkit5-dev (>= 5.2~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5jobwidgets-dev (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5wallet-dev (>= 5.18.0~),
+               libqt5webkit5-dev (>= 5.3~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdewebkit.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdewebkit.git
@@ -26,7 +25,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5webkit5 (= ${binary:Version}),
-         libqt5webkit5-dev (>= 5.2~),
+         libqt5webkit5-dev (>= 5.3~),
          ${misc:Depends}
 Description: development files for kdewebkit
  The kdewebkit library sits on top of QtWebKit,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5webkit5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kdewebkit-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kdewebkit-([\d.]+)\.tar\.xz

## kdewebkit 5.26.0

=== debian/changelog ===
kdewebkit (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:43:51 +0100

kdewebkit (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:39:58 +0000

kdewebkit (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:11:08 +0200

kdewebkit (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:19:14 -0700

kdewebkit (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:37 +0100

kdewebkit (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Fri, 04 Mar 2016 22:32:55 +0000

kdewebkit (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:36 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5jobwidgets-dev (>= 5.26.0~),
               libkf5parts-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5wallet-dev (>= 5.26.0~),
               libqt5webkit5-dev (>= 5.3~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.3~),
         ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same

## kdewebkit 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,17 @@
 project(KDEWebKit)
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION "5.3")
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 
@@ -22,8 +22,8 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDEWEBKIT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"

=== debian/changelog ===
kdewebkit (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:55 +0100

kdewebkit (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:08:03 +0200

kdewebkit (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:42 +0200

kdewebkit (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:50:24 +0200

kdewebkit (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 23:49:20 +0200

kdewebkit (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files.

  [ Maximiliano Curia ]
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:46:00 +0200

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5jobwidgets-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.28.0~),
               libkf5wallet-dev (>= 5.28.0~),
               libqt5webkit5-dev (>= 5.5.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdewebkit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdewebkit.git

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.28)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.28)

## kdewebkit 5.31.0

=== debian/changelog ===
kdewebkit (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:19 +0000

kdewebkit (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:58 +0000

kdewebkit (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:56 +0000

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.5.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit

Package: libkf5webkit-dev
Architecture: any
Section: libdevel
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).

## kdewebkit 5.38.0

=== debian/changelog ===
kdewebkit (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:03 +0100

kdewebkit (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:16 +0100

kdewebkit (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:15 +0100

kdewebkit (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:09 +0100

kdewebkit (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:05 +0100

kdewebkit (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5wallet-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5jobwidgets-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5parts-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5wallet-dev (>= 5.38.0~),
                libqt5webkit5-dev (>= 5.5.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)

## kdewebkit 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,18 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KDEWebKit)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KDEWebKit VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -22,9 +24,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDEWEBKIT
+ecm_setup_version(PROJECT VARIABLE_PREFIX KDEWEBKIT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
                         SOVERSION 5)
@@ -45,9 +45,9 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WebKit")
 
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 
-ecm_configure_package_config_file(
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5WebKitConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}

=== debian/changelog ===
kdewebkit (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:07 +0000

kdewebkit (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:47 +0000

kdewebkit (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:54 +0000

kdewebkit (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:36 -0600

kdewebkit (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
-               libkf5config-dev (>= 5.38.0~),
-               libkf5coreaddons-dev (>= 5.38.0~),
-               libkf5jobwidgets-dev (>= 5.38.0~),
-               libkf5kio-dev (>= 5.38.0~),
-               libkf5parts-dev (>= 5.38.0~),
-               libkf5service-dev (>= 5.38.0~),
-               libkf5wallet-dev (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5jobwidgets-dev (>= 5.44.0~),
+               libkf5kio-dev (>= 5.44.0~),
+               libkf5parts-dev (>= 5.44.0~),
+               libkf5service-dev (>= 5.44.0~),
+               libkf5wallet-dev (>= 5.44.0~),
                libqt5webkit5-dev (>= 5.5.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5webkit5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kdewebkit-([\d.]+)\.tar\.xz

## kdewebkit 5.50.0

=== debian/changelog ===
kdewebkit (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:44 +0100

kdewebkit (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:44 +0100

kdewebkit (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:37 +0100

kdewebkit (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:48 +0200

kdewebkit (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:49 +0100

kdewebkit (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:20 +0200

kdewebkit (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:41 +0100

kdewebkit (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:24 +0100

kdewebkit (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:45 +0100

kdewebkit (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:02 +0100

kdewebkit (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:28 -0300

kdewebkit (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:44:28 +0000

kdewebkit (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:30 +0000

kdewebkit (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:41:18 +0000

kdewebkit (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:59 +0000

kdewebkit (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:59 +0200

kdewebkit (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:50 +0200

kdewebkit (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:12:50 +0000

kdewebkit (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:39 +0200

kdewebkit (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:09 +0000

kdewebkit (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:27 +0000

kdewebkit (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:35:38 +0000

kdewebkit (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:54 +0000

kdewebkit (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:33 +0000

kdewebkit (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:35:58 +0000

kdewebkit (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:39:18 +0000

kdewebkit (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:07:30 +0000

kdewebkit (5.28.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5jobwidgets-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5parts-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libqt5webkit5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit

Package: libkf5webkit-dev
Architecture: any
Section: libdevel
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).

## kdewebkit 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
 project(KDEWebKit VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
kdewebkit (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:43 -0300

kdewebkit (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:43 +0100

kdewebkit (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:24 +0200

kdewebkit (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:56 +0200

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kdewebkit-([\d.]+)\.tar\.xz
